Skip to main content
POST
/
notification
/
email
/
payslip
/
{payrollConfigId}
/
{year}
/
{period}
Send payslip notification emails to employees
curl --request POST \
  --url https://api.sandbox.flowpayroll.ai/v1/notification/email/payslip/{payrollConfigId}/{year}/{period} \
  --header 'Content-Type: application/json' \
  --header 'X-Auth-Token: <api-key>' \
  --data '
{
  "employeeIds": [
    "EMP01JPW80Q2B7Q9RGGRY29VGC8WM",
    "EMP02JPW80Q2B7Q9RGGRY29VGC8WN"
  ]
}
'
{
  "message": {
    "text": "<string>",
    "token": "<string>",
    "tokenArguments": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "content": {
    "data": {
      "failedEmployeeIds": [
        "EMP03JPW80Q2B7Q9RGGRY29VGC8WO"
      ]
    },
    "metadata": {
      "dateFormat": "yyyy-MM-dd",
      "dateTimeFormat": "yyyy-MM-ddTHH:mm:ss.fffZ",
      "paginationToken": "<string>"
    }
  },
  "validationIssues": [
    {
      "field": "<string>",
      "reason": "<string>",
      "reasonToken": "<string>",
      "reasonTokenArguments": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "messageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Access token obtained from OAuth2 client credentials flow

Path Parameters

payrollConfigId
string
required

ID of the payroll configuration

year
integer
required

Year of the pay run

period
integer
required

Pay period number within the year

Body

application/json
employeeIds
string[]
required

List of employee IDs to send payslip notifications to

Example:
[
"EMP01JPW80Q2B7Q9RGGRY29VGC8WM",
"EMP02JPW80Q2B7Q9RGGRY29VGC8WN"
]

Response

Payslip notification being sent

message
object
content
object
validationIssues
object[]
messageToken
string